<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Date extends Model
{
    use HasFactory;

    // Table associated with the model
    protected $table = 'date';

    // Primary key
    protected $primaryKey = 'id';

    // Mass assignable attributes
    protected $fillable = [
        'date',
    ];

    // Define the relationship with the EventTable model
    public function eventTables()
    {
        return $this->hasMany(EventTable::class, 'date_id');
    }
}
