

<?php $__env->startSection('title','Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="relative">
    <img class="absolute inset-0 object-cover w-full h-full" src="<?php echo e(asset('images/blogs/banner.webp')); ?>" alt="">
    <div class="relative pb-32 pt-52 ">
        <h1 class="text-[#dab97d] text-6xl text-center">Blogs</h1>
    </div>
</div>

<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/blogs/bg-body.webp')); ?>" alt="">
    <div class="container relative max-w-screen-lg px-4 py-20 mx-auto space-y-8">
        <div class="space-y-8">
            <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div data-aos="zoom-in" data-aos-duration="1500">
                <a href="<?php echo e(url('blogs_details', $blog->id)); ?>">
                    <div class="space-y-4">
                        <img class="w-full h-full" src="<?php echo e(asset($blog->image)); ?>" alt="">
                        <div class="space-y-4">
                            <h1 class="text-[#dab97d]"><?php echo e($blog->created_at->format('F d, Y')); ?></h1>
                            <h2 class="text-4xl font-semibold text-white"><?php echo e($blog->title); ?></h2>
                            <div>
                                <a href="<?php echo e(url('blogs_details', $blog->id)); ?>" class="text-[#dab97d]">
                                    READ MORE <i class='bx bx-right-arrow-alt'></i>
                                </a>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

        <!-- Pagination -->
        <div class="flex items-center justify-between my-4 space-x-8">
            <div>
                <?php if($blogs->onFirstPage()): ?>
                <button id="prev-button" class="w-8 h-8 bg-[#7700ce] text-white rounded-full " disabled>
                    <i class='bx bx-chevron-left'></i>
                </button>
                <?php else: ?>
                <a href="<?php echo e($blogs->previousPageUrl()); ?>">
                    <button id="prev-button" class="w-8 h-8 bg-[#7700ce] text-white rounded-full ">
                        <i class='bx bx-chevron-left'></i>
                    </button>
                </a>
                <?php endif; ?>
            </div>

            <div class="flex flex-wrap gap-2">
                <?php $__currentLoopData = $blogs->getUrlRange(1, $blogs->lastPage()); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page => $url): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <a href="<?php echo e($url); ?>">
                    <button class="w-8 h-8 text-sm bg-[#7700ce] text-white rounded-full <?php echo e($page == $blogs->currentPage() ? 'bg-[#7700ce] text-white' : ''); ?>">
                        <?php echo e($page); ?>

                    </button>
                </a>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>

            <div>
                <?php if($blogs->hasMorePages()): ?>
                <a href="<?php echo e($blogs->nextPageUrl()); ?>">
                    <button id="next-button" class="w-8 h-8  rounded-full bg-[#7700ce] text-white">
                        <i class='bx bx-chevron-right'></i>
                    </button>
                </a>
                <?php else: ?>
                <button id="next-button" class="w-8 h-8  rounded-full bg-[#7700ce] text-white" disabled>
                    <i class='bx bx-chevron-right'></i>
                </button>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\R Web Solutions\Desktop\New folder\xclv\resources\views/blogs.blade.php ENDPATH**/ ?>