<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Reservation extends Model
{
    use HasFactory;

    protected $fillable = [
        'seat_id',
        'full_name',
        'contact_number',
        'email',
        'reservation_date',
        'estimated_time_arrival',
        'number_of_guests',
        'amount_to_pay',
        'door_charge',
        'notes',
        'is_confrimed',
    ];

    // Define the inverse relationship with the Seat model
    public function seat()
    {
        return $this->belongsTo(Seat::class);
    }
}
