<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::table('seats', function (Blueprint $table) {
        $table->boolean('show_price')->default(0)->after('seat_available'); // Adjust the position with 'after'
    });
}

public function down()
{
    Schema::table('seats', function (Blueprint $table) {
        $table->dropColumn('show_price');
    });
}

};
