<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Seat Checked-Out Notification</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
            color: #333;
        }

        .container {
            width: 100%;
            max-width: 600px;
            margin: 30px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        h1 {
            color: #333;
            font-size: 24px;
            text-align: center;
            margin-bottom: 20px;
        }

        p {
            font-size: 16px;
            line-height: 1.6;
            margin: 10px 0;
        }

        .signature {
            margin-top: 30px;
            font-style: italic;
        }

        .footer {
            text-align: center;
            font-size: 14px;
            color: #777;
            margin-top: 40px;
        }

        .button {
            display: inline-block;
            background-color: #007BFF;
            color: white;
            padding: 10px 20px;
            text-decoration: none;
            border-radius: 5px;
            margin-top: 20px;
        }

        .button:hover {
            background-color: #0056b3;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1> Checked-Out Notification</h1>
        <p>Dear {{ $fullName }},</p>
        <p>It is our heartfelt gratitude having you. We hope that you had a lasting clubbing experience with us.</p>
        <p>We look forward to welcoming you again.</p>
        <p>If there's anything we can do to make your next experience even better, please don't hesitate to let us know by messaging us at 0954-451-8755</p>
        <p>Until then, keep safe.</p>
        <p>XCLV Club Management</p>
    </div>
</body>

</html>
