

<?php $__env->startSection('title','Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="relative">
    <img class="absolute inset-0 object-cover w-full h-full" src="<?php echo e(asset('images/blogs/banner.webp')); ?>" alt="">
    <div class="relative pb-32 pt-52 ">
        <h1 class="text-[#dab97d] text-6xl text-center">Blogs</h1>
    </div>
</div>
<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/blogs/bg-body.webp')); ?>" alt="">
    <div class="container relative max-w-screen-xl px-4 py-20 mx-auto space-y-8">
        <div class="grid grid-cols-1 gap-4 md:grid-cols-3">
            <div class="space-y-8 md:col-span-2">

                <div class="space-y-4">
                    <img class="w-full h-full" src="<?php echo e(asset($blogs->image)); ?>" alt="">
                    <div class="space-y-4">
                        <h1 class="text-[#dab97d]"><?php echo e($blogs->created_at->format('F d, Y')); ?></h1>
                        <h2 class="text-4xl font-semibold text-white"><?php echo e($blogs->title); ?></h2>
                        <div class="text-white">
                            <p><?php echo $blogs->subtitle; ?></p>
                        </div>
                    </div>
                </div>

            </div>
            <div class="flex flex-col gap-4">
                <h1 class="text-[#dab97d] text-2xl font-semibold">Recent Posts</h1>
                <?php $__currentLoopData = $recent_posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $recent_post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <a href="<?php echo e(url('blogs_details', $recent_post->id)); ?>">
                    <div class="grid items-center grid-cols-1 gap-4 md:grid-cols-3">
                        <div>
                            <img class="object-cover w-full h-20" src="<?php echo e(asset($recent_post->image)); ?>" alt="">
                        </div>
                        <div class="md:col-span-2">
                            <div class="space-y-4">
                                <h2 class="text-xl font-semibold text-white truncate "><?php echo e($recent_post->title); ?></h2>
                                <h1 class="text-[#dab97d]"><?php echo e($recent_post->created_at->format('F d, Y')); ?></h1>
                            </div>
                        </div>
                    </div>
                </a>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </div>
        </div>

    </div>
</div>
<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\R Web Solutions\Desktop\New folder\xclv\resources\views/blogs_details.blade.php ENDPATH**/ ?>