<div class="bg-[#2b2b2b] space-y-8 ">

    <div class="container max-w-screen-xl py-8 mx-auto">
        <img src="<?php echo e(asset('images/homepage/footer-line.webp')); ?>" alt="">
    </div>
    <div class="container relative z-10 max-w-screen-xl p-8 mx-auto text-white bg-black rounded-xl">
        <div class="grid grid-cols-1 gap-8 md:grid-cols-3">
            <div class="space-y-8">
                <div>
                    <h1 class="text-2xl">Location</h1>
                    <p>123 Main Street, Downtown Cty, Country</p>
                </div>
                <div>
                    <h1 class="text-2xl">Get Direction</h1>
                    <div>
                        <iframe class="w-full" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d349.9541720690293!2d125.61257287714886!3d7.09356688593246!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x32f96d7c88de2297%3A0xe386e755bfc90d1f!2sXCLV%20CLUB!5e0!3m2!1sen!2sph!4v1736144319225!5m2!1sen!2sph" height="200" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                    </div>
                </div>
            </div>
            <div class="space-y-8">
                <div class="space-y-4">
                    <h1 class="text-2xl">Contact Info</h1>
                    <div>
                        <div class="flex flex-wrap items-center gap-2">
                            <div class="px-2  text-[#7a02d1] text-xl bg-[#fbe18a] rounded-lg">
                                <i class='bx bxs-phone'></i>
                            </div>
                            <div>
                                <p>+123 987654321</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="flex flex-wrap items-center gap-2">
                            <div class="px-2  text-[#7a02d1] text-xl bg-[#fbe18a] rounded-lg">
                                <i class='bx bxs-envelope'></i>
                            </div>
                            <div>
                                <p>info@xclv.sample.com</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="space-y-2">
                    <h1 class="text-2xl">License and Certifications</h1>
                    <p>Certified by Local Bar Association <br> Health and Safety Compliant</p>
                </div>
            </div>
            <div class="space-y-8">
                <div>
                    <h1 class="text-2xl">Hours</h1>
                    <p>Monday to Thursday: 4PM - 12AM</p>
                    <p>Friday to Sunday: 4PM - 12AM</p>
                </div>

                <div class="space-y-4">
                    <h1 class="text-2xl">Follow Us</h1>
                    <div class="flex flex-row items-center gap-2">
                        <div>
                            <img class="w-10 h-full" src="<?php echo e(asset('images/homepage/icon-fb.webp')); ?>" alt="">
                        </div>
                        <p>facebook.com/XCLV</p>
                    </div>
                    <div class="flex flex-row items-center gap-2">
                        <div>
                            <img class="w-10 h-full" src="<?php echo e(asset('images/homepage/icon-ig.webp')); ?>" alt="">
                        </div>
                        <p>facebook.com/XCLV</p>
                    </div>
                    <div class="flex flex-row items-center gap-2">
                        <div>
                            <img class="w-10 h-full" src="<?php echo e(asset('images/homepage/icon-tiktok.webp')); ?>" alt="">
                        </div>
                        <p>tiktok.com/XCLV</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="relative -mt-12 ">
    <img src="<?php echo e(asset('images/Footer.webp')); ?>" alt="XCLV-logo" class="absolute object-cover w-full h-full">
    <div class="container relative flex items-center justify-between mx-auto py-14">
        <img src="<?php echo e(asset('images/logo-footer.webp')); ?>" alt="XCLV-logo" class="w-32 h-40">

        <div class="">
            <p class="text-lg text-white">Copyright © 2024 XCLV. Designed and Developed by
                <span class="underline"> <a href="<?php echo e(url('https://rwebsolutions.com.ph/')); ?>">R Web Solutions Corp.</a></span>
            </p>
        </div>
    </div>
</div><?php /**PATH C:\Users\R Web Solutions\Desktop\New folder\xclv\resources\views/layouts/footer.blade.php ENDPATH**/ ?>